CVE-2013-4505

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2013-4505 at MITRE

Description

The is_this_legal function in mod_dontdothat for Apache Subversion 1.4.0 through 1.7.13 and 1.8.0 through 1.8.4 allows remote attackers to bypass intended access restrictions and possibly cause a denial of service (resource consumption) via a relative URL in a REPORT request.

NVD CVSS v2 Base Score: 2.6 (AV:N/AC:H/Au:N/C:N/I:N/A:P)

SUSE information

SUSE Bugzilla entries: 850667, 850747, 862459

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP2
  • subversion >= 1.6.17-1.25.1
  • subversion-devel >= 1.6.17-1.25.1
  • subversion-perl >= 1.6.17-1.25.1
  • subversion-python >= 1.6.17-1.25.1
  • subversion-server >= 1.6.17-1.25.1
  • subversion-tools >= 1.6.17-1.25.1
Patchnames:
sdksp2-subversion
SUSE Linux Enterprise Software Development Kit 11 SP3
  • subversion >= 1.6.17-1.25.1
  • subversion-devel >= 1.6.17-1.25.1
  • subversion-perl >= 1.6.17-1.25.1
  • subversion-python >= 1.6.17-1.25.1
  • subversion-server >= 1.6.17-1.25.1
  • subversion-tools >= 1.6.17-1.25.1
Patchnames:
sdksp3-subversion
SUSE Studio Onsite 1.3
  • subversion >= 1.6.17-1.25.1
Patchnames:
slestso13-subversion
SUSE Linux Enterprise Software Development Kit 11 SP3
  • subversion >= 1.6.17-1.25.1
  • subversion-devel >= 1.6.17-1.25.1
  • subversion-perl >= 1.6.17-1.25.1
  • subversion-python >= 1.6.17-1.25.1
  • subversion-server >= 1.6.17-1.25.1
  • subversion-tools >= 1.6.17-1.25.1
Builds
SAT Patch Nr: 8771
SUSE Linux Enterprise Software Development Kit 11 SP2
  • subversion >= 1.6.17-1.25.1
  • subversion-devel >= 1.6.17-1.25.1
  • subversion-perl >= 1.6.17-1.25.1
  • subversion-python >= 1.6.17-1.25.1
  • subversion-server >= 1.6.17-1.25.1
  • subversion-tools >= 1.6.17-1.25.1
Builds
SAT Patch Nr: 8770
SUSE Studio Onsite 1.3
  • subversion >= 1.6.17-1.25.1
Builds
SAT Patch Nr: 8770
openSUSE 12.3
  • libsvn_auth_gnome_keyring-1-0 >= 1.7.14-2.22.1
  • libsvn_auth_gnome_keyring-1-0-debuginfo >= 1.7.14-2.22.1
  • libsvn_auth_kwallet-1-0 >= 1.7.14-2.22.1
  • libsvn_auth_kwallet-1-0-debuginfo >= 1.7.14-2.22.1
  • subversion >= 1.7.14-2.22.1
  • subversion-bash-completion >= 1.7.14-2.22.1
  • subversion-debuginfo >= 1.7.14-2.22.1
  • subversion-debugsource >= 1.7.14-2.22.1
  • subversion-devel >= 1.7.14-2.22.1
  • subversion-perl >= 1.7.14-2.22.1
  • subversion-perl-debuginfo >= 1.7.14-2.22.1
  • subversion-python >= 1.7.14-2.22.1
  • subversion-python-debuginfo >= 1.7.14-2.22.1
  • subversion-server >= 1.7.14-2.22.1
  • subversion-server-debuginfo >= 1.7.14-2.22.1
  • subversion-tools >= 1.7.14-2.22.1
  • subversion-tools-debuginfo >= 1.7.14-2.22.1
Patchnames:
openSUSE-2013-962
openSUSE 13.1
  • libsvn_auth_gnome_keyring-1-0 >= 1.8.5-2.11.1
  • libsvn_auth_gnome_keyring-1-0-debuginfo >= 1.8.5-2.11.1
  • libsvn_auth_kwallet-1-0 >= 1.8.5-2.11.1
  • libsvn_auth_kwallet-1-0-debuginfo >= 1.8.5-2.11.1
  • subversion >= 1.8.5-2.11.1
  • subversion-bash-completion >= 1.8.5-2.11.1
  • subversion-debuginfo >= 1.8.5-2.11.1
  • subversion-debugsource >= 1.8.5-2.11.1
  • subversion-devel >= 1.8.5-2.11.1
  • subversion-perl >= 1.8.5-2.11.1
  • subversion-perl-debuginfo >= 1.8.5-2.11.1
  • subversion-python >= 1.8.5-2.11.1
  • subversion-python-debuginfo >= 1.8.5-2.11.1
  • subversion-ruby >= 1.8.5-2.11.1
  • subversion-ruby-debuginfo >= 1.8.5-2.11.1
  • subversion-server >= 1.8.5-2.11.1
  • subversion-server-debuginfo >= 1.8.5-2.11.1
  • subversion-tools >= 1.8.5-2.11.1
  • subversion-tools-debuginfo >= 1.8.5-2.11.1
Patchnames:
openSUSE-2013-942
openSUSE Evergreen 11.4
  • libsvn_auth_gnome_keyring-1-0 >= 1.7.14-59.1
  • libsvn_auth_gnome_keyring-1-0-debuginfo >= 1.7.14-59.1
  • libsvn_auth_kwallet-1-0 >= 1.7.14-59.1
  • libsvn_auth_kwallet-1-0-debuginfo >= 1.7.14-59.1
  • subversion >= 1.7.14-59.1
  • subversion-bash-completion >= 1.7.14-59.1
  • subversion-debuginfo >= 1.7.14-59.1
  • subversion-debugsource >= 1.7.14-59.1
  • subversion-devel >= 1.7.14-59.1
  • subversion-perl >= 1.7.14-59.1
  • subversion-perl-debuginfo >= 1.7.14-59.1
  • subversion-python >= 1.7.14-59.1
  • subversion-python-debuginfo >= 1.7.14-59.1
  • subversion-ruby >= 1.7.14-59.1
  • subversion-ruby-debuginfo >= 1.7.14-59.1
  • subversion-server >= 1.7.14-59.1
  • subversion-server-debuginfo >= 1.7.14-59.1
  • subversion-tools >= 1.7.14-59.1
  • subversion-tools-debuginfo >= 1.7.14-59.1
Patchnames:
2013-169